# Uses of Class
it.tdlight.jni.TdApi.StoryInteractionType

## Uses of TdApi.StoryInteractionType in it.tdlight.jni

Subclasses of TdApi.StoryInteractionType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StoryInteractionTypeForward`
A forward of the story as a message.
`static final class`
`TdApi.StoryInteractionTypeRepost`
A repost of the story as a story.
`static final class`
`TdApi.StoryInteractionTypeView`
A view of the story.
Fields in it.tdlight.jni declared as TdApi.StoryInteractionType
Modifier and Type
Field
Description
`TdApi.StoryInteractionType`
TdApi.StoryInteraction.`type`
Type of the interaction.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryInteractionType
Modifier
Constructor
Description
``
`StoryInteraction(TdApi.MessageSender actorId, int interactionDate, TdApi.BlockList blockList, TdApi.StoryInteractionType type)`
Represents interaction with a story.